package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemRole;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface IRoleManager {
    Result getRoleList(Map<String, Object> params) throws Exception;

    SystemRole getRoleById(String roleId) throws Exception;

    Result addRole(SystemRole obj) throws Exception;

    Result updateRole(SystemRole obj) throws Exception;

    Result activityRole(String roleid, String activityFlag) throws Exception;

    Result deleteRole(String id) throws Exception;
}
